Arch Fence
|
Menu location |
---|
Arch → Fence |
Workbenches |
Arch |
Default shortcut |
None |
Introduced in version |
0.19 |
See also |
None |
Description
The Arch Fence is a object that builds a fence by repeating a single fence post and section along a given path.
Usage
Creating from scratch
- Use a workbench of your choice to create a single fence post and a single section.
- Create the path the fence should follow using the Sketcher Workbench or Draft Workbench.
- Switch back to the Arch Workbench.
- Select the section, post and path in exactly that order.
- Press the
Arch Fence button
Options
For now the tool assumes the following
- The Path is drawn on the XY-Plane
- Section and Post are drawn at the origin so that they stand upright in front view
Properties
Data
- DataPath: The path the fence should follow
- DataPost: A single fence post to repeat
- DataSection: A single section to repeat
- DataNumber Of Posts: The total number of posts used to build the fence. This is calculated automatically.
- DataNumber Of Sections: The total number of sections used to build the fence. This is calculated automatically.
View
- ViewUse Original Colors: When set to
true
the fence will use the colors from the original section and post. Otherwise the ShapeColor of the fence will be used to colorize the fence.
Notes
- Arch Fence was introduced in FC v0.19 by user furti.
- Forum thread discussing Arch Fence functionality
Scripting
The Fence tool can be used in macros and from the Python console by using the following function:
Fence = buildFence(section, post, path)
Example:
import FreeCAD
import Part
import Arch
parts = []
parts.append(Part.makeBox(2000, 50, 30, FreeCAD.Vector(0, 0, 1000 - 30)))
parts.append(Part.makeBox(2000, 50, 30))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(0, 15, 30)))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(1980, 15, 30)))
for i in range(8):
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector((2000 / 9 * (i + 1)) - 10, 15, 30)))
Part.show(Part.makeCompound(parts), "Fence_section")
fence_section = FreeCAD.ActiveDocument.Fence_section
sketch = FreeCAD.ActiveDocument.addObject("Sketcher::SketchObject", "Path")
sketch.Placement = FreeCAD.Placement(FreeCAD.Vector(0, 0, 0), FreeCAD.Rotation(0, 0, 0, 1))
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(20000, 0, 0)), False)
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(20000, 0, 0), FreeCAD.Vector(20000, 20000, 0)), False)
post = Part.makeBox(100, 100, 1000, FreeCAD.Vector(0, 0, 0))
Part.show(post, "Post")
post = FreeCAD.ActiveDocument.Post
Fence = Arch.buildFence(fence_section, post, sketch)
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub